Name: sbtools
Version: 0.9.1
Release: 1%{?dist}
Summary: Secure boot tools

License: GPLv3+
URL: https://github.com/xdbob/%{name}
Source0: https://github.com/xdbob/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: make
Requires: efitools
Requires: sbsigntools
Requires: openssl
Requires: binutils

BuildArch: noarch

%description
A collection of utilities to help secure boot handling. It will also generate an
UEFI kernel image following the bootloader specification[1].

[1]: https://systemd.io/BOOT_LOADER_SPECIFICATION/

%prep
%autosetup -n %{name}-%{version}

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install install_fedora

%files
%{_bindir}/sb-link-boot-img
%{_bindir}/sb-make-boot-img
%{_bindir}/sb-sign-binary
%{_bindir}/sbmkkeys
%{_bindir}/uncat
%{_datadir}/%{name}/loadconfig.sh
/usr/lib/kernel/install.d/89-loaderentry-secureboot.install

%changelog
* Tue Aug 22 2023 Antoine Damhet <antoine.damhet@lse.epita.fr> - 0.9.1-1
- Bump to 0.9.2
* Sun Feb 26 2023 Antoine Damhet <antoine.damhet@lse.epita.fr> - 0.9.0-2
- Requires openssl
